# Zeus COD BO6 Bot Manager
If you are looking for the Server app/script: [Zeus Server App Github](https://github.com/satyajiit/zeus-server-load)

![Python Badge](https://img.shields.io/badge/Made_with-Python-3776AB?style=flat-square&logo=python&logoColor=white)
![Caffeine Badge](https://img.shields.io/badge/Generated_with-Caffeine-FFDD00?style=flat-square&logo=coffeescript&logoColor=black)
![Gamers Badge](https://img.shields.io/badge/Built_by-Gamers-00FF00?style=flat-square&logo=xbox&logoColor=white)
![Night Owl Badge](https://img.shields.io/badge/Coded_at-3AM-blue?style=flat-square&logo=moon&logoColor=white)
![Bug Resistant Badge](https://img.shields.io/badge/99.9%25-Bug_Proof-orange?style=flat-square&logo=python&logoColor=black)
![Pizza Powered Badge](https://img.shields.io/badge/Powered_by-Pizza-red?style=flat-square&logo=pizza&logoColor=white)
![Hacky but It Works Badge](https://img.shields.io/badge/Hacky_but-it_works-yellow?style=flat-square&logo=python&logoColor=black)
![Gamer Approved Badge](https://img.shields.io/badge/Approved_by-Gamers-00FF00?style=flat-square&logo=steam&logoColor=white)
![Tech Humor Badge](https://img.shields.io/badge/Best_Stack-Ever-green?style=flat-square&logo=vue.js&logoColor=white)
![Flask Wizardry Badge](https://img.shields.io/badge/Wizardry-Flask-black?style=flat-square&logo=flask&logoColor=white)
![Vue Ninja Badge](https://img.shields.io/badge/Vue3-Ninja-green?style=flat-square&logo=vue.js&logoColor=white)


> **Platform:** Cross-platform (Windows, macOS, Linux)

![Zeus COD BO6 Bot Manager Screenshot](https://github.com/satyajiit/CodBo6_Bot_Manager_Zeus/raw/master/screenshots/1.png)
![Zeus COD BO6 Bot Manager Screenshot](https://github.com/satyajiit/CodBo6_Bot_Manager_Zeus/raw/master/screenshots/2.png)
![Zeus COD BO6 Bot Manager Screenshot](https://github.com/satyajiit/CodBo6_Bot_Manager_Zeus/raw/master/screenshots/3.png)
![Zeus COD BO6 Bot Manager Screenshot](https://github.com/satyajiit/CodBo6_Bot_Manager_Zeus/raw/master/screenshots/4.png)
![Zeus COD BO6 Bot Manager Screenshot](https://github.com/satyajiit/CodBo6_Bot_Manager_Zeus/raw/master/screenshots/5.png)
![Zeus COD BO6 Bot Manager Screenshot](https://github.com/satyajiit/CodBo6_Bot_Manager_Zeus/raw/master/screenshots/6.png)
![Zeus COD BO6 Bot Manager Screenshot](https://github.com/satyajiit/CodBo6_Bot_Manager_Zeus/raw/master/screenshots/7.png)
![Zeus COD BO6 Bot Manager Screenshot](https://github.com/satyajiit/CodBo6_Bot_Manager_Zeus/raw/master/screenshots/8.png)

## Overview

The **Zeus COD BO6 Bot Manager** is a powerful tool for managing bot lobbies in multiplayer games like Call of Duty Black Ops 6. It supports dashboard functionalities, remote server health checks, and in-game anti-AFK mechanisms. The tool is designed for convenience and efficiency, with a UI powered by Vue3 and Vuetify.

## Features

- **Cross-platform Compatibility:** Runs on Windows, macOS, and Linux.
- **Dashboard:** Monitor connected servers and health checks.
- **One-Click Automation:**
  - Launch multiple Chrome profiles simultaneously.
  - Install TamperMonkey and Better X Cloud scripts.
  - Enable Xbox Cloud anti-AFK mechanisms.
- **In-Game Controls:** Use the manager to control basic gamepad functions (D-pad, X, Y, A, B, L, R).
- **Integration:** Works seamlessly with the Zeus Server App.
- **User-Friendly UI:** Intuitive interface for easy navigation and control.
- **Logging:** Detailed logs for tracking server activities and bot lobbies.

## Installation

1. Ensure Python is installed on your system ([Download Python](https://www.python.org/downloads/)).
2. Install the Zeus COD BO6 Bot Manager using pip:
   ```bash
   pip install zeus-cod-bo6-bot-manager
   ```
3. Run the app:
   ```bash
   python3 -m zeus_cod_bo6_bot_manager
   ```

## Dependencies

The following Python packages are required:
- `flask-cors`
- `Flask`
- `PySide6`
- `PyQtWebEngine`
- `pyperclip`

The UI uses Vue3 and Vuetify. During the first run, the tool intelligently checks for Node.js and installs it if necessary.

## Setup Guide

1. Launch the app and connect to the Zeus Server App.
2. Use the dashboard to:
   - Monitor server health.
   - Launch Chrome profiles and TamperMonkey scripts.
   - Configure anti-AFK settings.
3. Start matchmaking and manage bot lobbies with ease.

![Zeus COD BO6 Bot Manager Guide](https://github.com/satyajiit/CodBo6_Bot_Manager_Zeus/raw/master/screenshots/setup/1.png)
![Zeus COD BO6 Bot Manager Guide](https://github.com/satyajiit/CodBo6_Bot_Manager_Zeus/raw/master/screenshots/setup/2.png)
![Zeus COD BO6 Bot Manager Guide](https://github.com/satyajiit/CodBo6_Bot_Manager_Zeus/raw/master/screenshots/setup/3.png)
![Zeus COD BO6 Bot Manager Guide](https://github.com/satyajiit/CodBo6_Bot_Manager_Zeus/raw/master/screenshots/setup/4.png)
![Zeus COD BO6 Bot Manager Guide](https://github.com/satyajiit/CodBo6_Bot_Manager_Zeus/raw/master/screenshots/setup/5.png)
![Zeus COD BO6 Bot Manager Guide](https://github.com/satyajiit/CodBo6_Bot_Manager_Zeus/raw/master/screenshots/setup/6.png)
![Zeus COD BO6 Bot Manager Guide](https://github.com/satyajiit/CodBo6_Bot_Manager_Zeus/raw/master/screenshots/setup/7.png)



## Contributing
![Contributions Welcome Badge](https://img.shields.io/badge/Contributions-Welcome-brightgreen?style=flat-square&logo=github)

We welcome contributions to improve the Zeus COD BO6 Bot Manager! Please follow these steps:

1. Fork the repository.
2. Create a new branch:
   ```bash
   git checkout -b feature-name
   ```
3. Commit your changes:
   ```bash
   git commit -m "Added a new feature"
   ```
4. Push your branch:
   ```bash
   git push origin feature-name
   ```
5. Submit a pull request.

## Tech
![Python Badge](https://img.shields.io/badge/Made_with-Python-3776AB?style=flat-square&logo=python&logoColor=white)
![Flask Badge](https://img.shields.io/badge/Backend-Flask-black?style=flat-square&logo=flask&logoColor=white)
![Vue.js Badge](https://img.shields.io/badge/Frontend-Vue3-4FC08D?style=flat-square&logo=vue.js&logoColor=white)
![Vuetify Badge](https://img.shields.io/badge/UI-Vuetify-1867C0?style=flat-square&logo=vuetify&logoColor=white)
![SQLite Badge](https://img.shields.io/badge/Database-SQL-336791?style=flat-square&logo=postgresql&logoColor=white)

## License
![Open Source Love Badge](https://img.shields.io/badge/Open_Source-💚-blue?style=flat-square&logo=opensourceinitiative&logoColor=white)
![MIT License Badge](https://img.shields.io/badge/License-MIT-blue?style=flat-square&logo=open-source-initiative&logoColor=white)

This project is licensed under the MIT License. See the `LICENSE` file for details.

## Credits

This project is inspired by [BotOps Hub Bot Lobby Tool](https://www.unknowncheats.me/forum/call-of-duty-black-ops-6-a/674129-botops-hub-bot-lobby-tool-vm-required.html). Special thanks to the original contributors for their ideas.

---

## Star This Project ⭐

If you find this tool helpful, please star the repositories to show your support!

Don't forget to subscribe to the YouTube channel for more updates and tutorials. [GamesPatch YouTube](https://www.youtube.com/@GamesPatch)

## Disclaimer

This tool, **Cod Bo6 Bot Lobby Manager**, is intended for **educational and testing purposes only**. The developers of this tool do not endorse or encourage any form of unethical gameplay, account manipulation, or violation of terms of service of any game or gaming platform. 

By using this tool, you agree to the following:
- You will use this tool in accordance with all applicable laws and regulations.
- You will not use this tool to gain unfair advantages or disrupt the integrity of multiplayer gaming environments.
- The developers are not responsible for any consequences, including but not limited to account suspension, bans, or other punitive measures, resulting from improper usage of this tool.

This software is provided "as is" without warranty of any kind, express or implied. Use at your own risk.

## Copyright Notice

The **Call of Duty: Black Ops 6** name, logo, and associated assets are trademarks or registered trademarks of **Activision Publishing, Inc.** The use of these names, logos, and any associated assets is purely for informational and reference purposes. This tool is not affiliated with, endorsed by, or in any way officially connected with **Activision Publishing, Inc.** or its products.

Any unauthorized use of **Call of Duty: Black Ops 6** or **Activision** intellectual property may violate copyright, trademark, and other laws. Users are solely responsible for adhering to the terms of service and copyright policies of the respective platforms and games. 

If you have any concerns or questions about the use of **Call of Duty: Black Ops 6** or **Activision** assets in this tool, please contact us for clarification.

Email: **hello.theappstack@gmail.com** , any violating content would be removed immediately.

---
